Lets you manage the feeds for the Woorise forms.
List all feeds
GET /feeds
Request parameters
| Parameter | Type | Required | Description |
|---|
| include | integer | array | no | The ID of the feed or an array of Feed IDs. |
| addon | string | no | The slug of the integration to which the feeds belong |
Response
[
{
"id": "5",
"form_id": "65",
"is_active": "1",
"feed_order": "0",
"meta": {
"feedName": "Mailchimp Feed 1",
"mailchimpList": "7d38366ed0",
"double_optin": "1",
"markAsVIP": "0",
"tags": "",
"note": "",
"feed_condition_conditional_logic_object": [],
"feed_condition_conditional_logic": "0",
"mappedFields_EMAIL": "2",
"mappedFields_FNAME": "1.3",
"mappedFields_LNAME": "1.6",
"options": "",
"optinCondition": ""
},
"addon_slug": "mailchimp",
"event_type": null
}
]
GET /forms/{form_id}/feeds
Request parameters
| Parameter | Type | Required | Description |
|---|
| include | integer | array | no | The ID of the feed or an array of Feed IDs. |
| addon | string | no | The slug of the integration to which the feeds belong. |
Response
[
{
"id": "5",
"form_id": "65",
"is_active": "1",
"feed_order": "0",
"meta": {
"feedName": "Mailchimp Feed 1",
"mailchimpList": "7d38366ed0",
"double_optin": "1",
"markAsVIP": "0",
"tags": "",
"note": "",
"feed_condition_conditional_logic_object": [],
"feed_condition_conditional_logic": "0",
"mappedFields_EMAIL": "2",
"mappedFields_FNAME": "1.3",
"mappedFields_LNAME": "1.6",
"options": "",
"optinCondition": ""
},
"addon_slug": "mailchimp",
"event_type": null
}
]
Get a feed
GET /feeds/{feed_id}
Request parameters
| Parameter | Type | Required | Description |
|---|
| include | integer | array | no | The ID of the feed or an array of Feed IDs. |
| addon | string | no | The slug of the integration to which the feeds belong. |
Response
{
"id": "5",
"form_id": "65",
"is_active": "1",
"feed_order": "0",
"meta": {
"feedName": "Mailchimp Feed 1",
"mailchimpList": "7d38366ed0",
"double_optin": "1",
"markAsVIP": "0",
"tags": "",
"note": "",
"feed_condition_conditional_logic_object": [],
"feed_condition_conditional_logic": "0",
"mappedFields_EMAIL": "2",
"mappedFields_FNAME": "1.3",
"mappedFields_LNAME": "1.6",
"options": "",
"optinCondition": ""
},
"addon_slug": "mailchimp",
"event_type": null
}
Create a feed
POST /feeds
Request parameters
| Parameter | Type | Required | Description |
|---|
| form_id | integer | yes | The ID of the Form the Feed is for. |
| meta | array | yes | The feed parameters. |
| addon_slug | string | yes | The slug of the integration to which the feeds belong. |
Response
{
"id": "5",
"form_id": "65",
"is_active": "1",
"feed_order": "0",
"meta": {
"feedName": "Mailchimp Feed 1",
"mailchimpList": "7d38366ed0",
"double_optin": "1",
"markAsVIP": "0",
"tags": "",
"note": "",
"feed_condition_conditional_logic_object": [],
"feed_condition_conditional_logic": "0",
"mappedFields_EMAIL": "2",
"mappedFields_FNAME": "1.3",
"mappedFields_LNAME": "1.6",
"options": "",
"optinCondition": ""
},
"addon_slug": "mailchimp",
"event_type": null
}
POST /forms/{form_id}/feeds
Request parameters
| Parameter | Type | Required | Description |
|---|
| meta | array | yes | The feed parameters. |
| addon_slug | string | yes | The slug of the integration to which the feeds belong. |
Response
{
"form_id": 180,
"addon_slug": "zapier",
"meta": {
"feedName": "Test API Feed Creation",
"zapURL": "https://hooks.zapier.com/hooks/standard/123456/abcde/",
"feed_condition_conditional_logic": "0",
"feed_condition_conditional_logic_object": []
},
"id": 39
}
Update a feed
PUT /feeds/{feed_id}
Request parameters
| Parameter | Type | Required | Description |
|---|
| form_id | integer | yes | The ID of the form the feed is for. |
| meta | array | yes | The feed parameters. |
| addon_slug | string | yes | The slug of the integration to which the feeds belong. |
| is_active | bollean | no | Indicating if the feed is active or inactive. |
| feed_order | integer | no | Indicating the order the feed will be displayed in the feeds list for the form. Also applies to submission time feed processing. |
Response
{
"form_id": 180,
"addon_slug": "zapier",
"meta": {
"feedName": "Test API Feed Creation",
"zapURL": "https://hooks.zapier.com/hooks/standard/123456/abcde/",
"feed_condition_conditional_logic": "0",
"feed_condition_conditional_logic_object": []
},
"id": 39
}
Partially update a feed
PATCH /feeds/{feed_id}
Request parameters
| Parameter | Type | Required | Description |
|---|
| form_id | integer | no | The ID of the form the feed is for. |
| meta | array | no | The feed parameters. |
| addon_slug | string | no | The slug of the integration to which the feeds belong. |
| is_active | bollean | no | Indicating if the feed is active or inactive. |
| feed_order | integer | no | Indicating the order the feed will be displayed in the feeds list for the form. Also applies to submission time feed processing. |
Response
{
"form_id": 180,
"addon_slug": "zapier",
"meta": {
"feedName": "Test API Feed Creation",
"zapURL": "https://hooks.zapier.com/hooks/standard/123456/abcde/",
"feed_condition_conditional_logic": "0",
"feed_condition_conditional_logic_object": []
},
"id": 39
}
Update feed properties
PUT /feeds/{feed_id}/properties
Request parameters
| Parameter | Type | Required | Description |
|---|
| form_id | integer | no | The ID of the form the feed is for. |
| meta | array | no | The feed parameters. |
| addon_slug | string | no | The slug of the integration to which the feeds belong. |
| is_active | bollean | no | Indicating if the feed is active or inactive. |
| feed_order | integer | no | Indicating the order the feed will be displayed in the feeds list for the form. Also applies to submission time feed processing. |
Response
The response will contain a message indicating if the operation was successful.
Feed updated successfully
Delete a feed
DELETE /feeds/{feed_id}
Response
{
"deleted": true,
"id": "5",
"form_id": "65",
"is_active": "1",
"feed_order": "0",
"meta": {
"feedName": "Mailchimp Feed 1",
"mailchimpList": "7d38366ed0",
"double_optin": "1",
"markAsVIP": "0",
"tags": "",
"note": "",
"feed_condition_conditional_logic_object": [],
"feed_condition_conditional_logic": "0",
"mappedFields_EMAIL": "2",
"mappedFields_FNAME": "1.3",
"mappedFields_LNAME": "1.6",
"options": "",
"optinCondition": ""
},
"addon_slug": "mailchimp",
"event_type": null
}